%define upstream_name	 Config-IniFiles
%define upstream_version 2.88

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	2

Summary:	A module for reading .ini-style configuration files

License: 	GPL
Group: 		Development/Perl
URL:		http://search.cpan.org/dist/%{upstream_name}/
Source0:    http://www.cpan.org/modules/by-module/Config/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl(Module::Build)
BuildRequires:	perl(List::MoreUtils)
BuildRequires:	perl-devel
BuildRequires:	perl(version) >= 1:0.880.0
BuildRequires:	perl-Scalar-List-Utils
BuildRequires:	perl(Test::Pod::Coverage)
# These would be useful for tests but they are in contrib now
# BuildRequires:	perl(Test::TrailingSpace)
# BuildRequires:	perl(Test::CPAN::Changes)
# We need version of perl(List::Util) higher than the one provided by current perl-base
Requires:	perl-Scalar-List-Utils
BuildArch: noarch

%description
This perl module allows you to access to config files written in the
.ini style.

%prep
%setup -q -n Config-IniFiles-%{upstream_version}

%build
perl Build.PL installdirs=vendor
./Build

%check
./Build test

%install
./Build install destdir=%{buildroot}

%files
%doc README
%{perl_vendorlib}/Config
%{_mandir}/*/*

%changelog

* Sat Feb 13 2016 Denis Silakov <dsilakov@gmail.com> 2.880.0-2
- (d40c486) Fix req


